CREATE TABLE regadj (
       Reg1 CHAR(2) NOT NULL,
       Reg2 CHAR(2) NOT NULL,
       Dir ENUM('0','1','2','3','4','5','6','7'),
       CONSTRAINT cle_regadj PRIMARY KEY (Reg1,Reg2),
       CONSTRAINT ref_reg1 FOREIGN KEY (Reg1) REFERENCES regions(RegId),
       CONSTRAINT ref_reg2 FOREIGN KEY (Reg2) REFERENCES regions(RegId)
)ENGINE InnoDB;

LOAD DATA LOCAL INFILE 'regadj.data' REPLACE INTO TABLE regadj FIELDS TERMINATED BY ';' IGNORE 1 LINES;